Name:           pengupop
Version:        2.1.4
Release:        1%{?dist}
Summary:        Networked Game in the vein of Move/Puzzle Bobble

Group:          Amusements/Games
License:        GPL
URL:            http://www.junoplay.com/pengupop
Source0:        http://www.junoplay.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, zlib-devel, desktop-file-utils

%description
Finally a networked multiplayer game in the vein of the puzzle classic Bust a
Move/Puzzle Bobble. Beat your friends in this addictive game, or play against
a random opponent! The purpose of this game is to shoot colored orbs into your
playfield, so they form groups of three or more. You win if you manage to
remove all orbs. You lose if any orb attaches below the white line.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install icon and desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp pengupop.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

desktop-file-install --vendor fedora                            \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
        --add-category X-Fedora                                 \
        pengupop.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/pengupop
%{_datadir}/applications/fedora-pengupop.desktop
%{_datadir}/icons/hicolor/48x48/apps/pengupop.png


%changelog
* Mon Aug 14 2006 Hugo Cisneiros <hugo@devin.com.br> 2.1.4-1
- New upstream release

* Sun Aug  6 2006 Hugo Cisneiros <hugo@devin.com.br> 2.1.0-1
- New upstream release
- Removed extra png and desktop file due to inclusion into
  the upstream version

* Sun Jun 18 2006 Hugo Cisneiros <hugo@devin.com.br> 2.0.2-2
- Added desktop-file-utils BR
- Removed description inconsistency

* Sun Jun 18 2006 Hugo Cisneiros <hugo@devin.com.br> 2.0.2-1
- Initial RPM release
